
GammaLib - Bug #1765

GModelSky XML constructor does not read all attributes

04/17/2016 11:06 PM - Knödlseder Jürgen

Status: Closed Start date: 04/17/2016

Priority: High Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.1.0   

Description

The GModelSky XML constructor does not read all attributes as it implements the reading of the XML information instead of calling

the read() method.

The read() method should be called instead.

History

#1 - 05/30/2016 11:58 PM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

#2 - 05/30/2016 11:59 PM - Knödlseder Jürgen

- Priority changed from Urgent to High

#3 - 05/31/2016 12:50 PM - Knödlseder Jürgen

- Status changed from New to Closed

- % Done changed from 0 to 100

The GModel::read_attributes() and GModel::write_attributes() have been introduced to consistently read and write model attributes in all relevant

constructors and methods. A further advantage is that code duplication is reduced.

Code merged into devel.
